--- old/usr/src/lib/libm/amd64/src/__swapFLAGS.s	2014-11-04 18:59:18.684097440 -0500
+++ new/usr/src/lib/libm/amd64/src/__swapFLAGS.s	2014-11-04 18:59:18.805436285 -0500
@@ -29,7 +29,6 @@
 	.file	"__swapFLAGS.s"
 
 #include "libm.h"
-#include "libm_synonyms.h"
 
 /*
  * swap exception masks
--- old/usr/src/lib/libm/amd64/src/acosl.s	2014-11-04 18:59:19.458950892 -0500
+++ new/usr/src/lib/libm/amd64/src/acosl.s	2014-11-04 18:59:19.470108671 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(acosl,function)
-#include "libm_synonyms.h"
 
 #undef fabs
 
--- old/usr/src/lib/libm/amd64/src/asinl.s	2014-11-04 18:59:19.846528978 -0500
+++ new/usr/src/lib/libm/amd64/src/asinl.s	2014-11-04 18:59:19.857936932 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(asinl,function)
-#include "libm_synonyms.h"
 
 #undef fabs
 
--- old/usr/src/lib/libm/amd64/src/atan2l.s	2014-11-04 18:59:20.241306364 -0500
+++ new/usr/src/lib/libm/amd64/src/atan2l.s	2014-11-04 18:59:20.252447528 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atan2l)
 	fldt	8(%rsp)			/ push y
--- old/usr/src/lib/libm/amd64/src/atanl.s	2014-11-04 18:59:20.648059652 -0500
+++ new/usr/src/lib/libm/amd64/src/atanl.s	2014-11-04 18:59:20.659326946 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atanl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atanl)
 	fldt	8(%rsp)			/ push arg
--- old/usr/src/lib/libm/amd64/src/copysignl.s	2014-11-04 18:59:21.036757745 -0500
+++ new/usr/src/lib/libm/amd64/src/copysignl.s	2014-11-04 18:59:21.048341476 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysignl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysignl)
 	movl	16(%rsp),%eax
--- old/usr/src/lib/libm/amd64/src/exp10l.s	2014-11-04 18:59:21.424504437 -0500
+++ new/usr/src/lib/libm/amd64/src/exp10l.s	2014-11-04 18:59:21.437184274 -0500
@@ -29,8 +29,6 @@
         .file "exp10l.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(exp10l,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	16
--- old/usr/src/lib/libm/amd64/src/exp2l.s	2014-11-04 18:59:21.817683277 -0500
+++ new/usr/src/lib/libm/amd64/src/exp2l.s	2014-11-04 18:59:21.829262539 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp2l)
 	movl	16(%rsp),%ecx		/ cx <--sign&bexp(x)
--- old/usr/src/lib/libm/amd64/src/expl.s	2014-11-04 18:59:22.212943832 -0500
+++ new/usr/src/lib/libm/amd64/src/expl.s	2014-11-04 18:59:22.224340774 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expl,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	16
--- old/usr/src/lib/libm/amd64/src/expm1l.s	2014-11-04 18:59:22.608834405 -0500
+++ new/usr/src/lib/libm/amd64/src/expm1l.s	2014-11-04 18:59:22.620194359 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expm1l,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	16
--- old/usr/src/lib/libm/amd64/src/fabsl.s	2014-11-04 18:59:23.013956865 -0500
+++ new/usr/src/lib/libm/amd64/src/fabsl.s	2014-11-04 18:59:23.025357123 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabsl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabsl)
 	fldt    8(%rsp)
--- old/usr/src/lib/libm/amd64/src/floorl.s	2014-11-04 18:59:23.464415055 -0500
+++ new/usr/src/lib/libm/amd64/src/floorl.s	2014-11-04 18:59:23.475837378 -0500
@@ -31,7 +31,6 @@
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ceill,function)
 LIBM_ANSI_PRAGMA_WEAK(floorl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(ceill)
 	subq	$16,%rsp
--- old/usr/src/lib/libm/amd64/src/fmod.s	2014-11-04 18:59:24.930456433 -0500
+++ new/usr/src/lib/libm/amd64/src/fmod.s	2014-11-04 18:59:24.952256811 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmod,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(fmod)
--- old/usr/src/lib/libm/amd64/src/fmodf.s	2014-11-04 18:59:25.346849956 -0500
+++ new/usr/src/lib/libm/amd64/src/fmodf.s	2014-11-04 18:59:25.358142496 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmodf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fmodf)
 	push	%rbp
--- old/usr/src/lib/libm/amd64/src/fmodl.s	2014-11-04 18:59:25.732425518 -0500
+++ new/usr/src/lib/libm/amd64/src/fmodl.s	2014-11-04 18:59:25.743979997 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmodl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fmodl)
 	fldt	24(%rsp)		/ load arg y
--- old/usr/src/lib/libm/amd64/src/ieee_funcl.s	2014-11-04 18:59:26.120656097 -0500
+++ new/usr/src/lib/libm/amd64/src/ieee_funcl.s	2014-11-04 18:59:26.131930778 -0500
@@ -29,12 +29,6 @@
         .file "ieee_funcl.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(isinfl,function)
-LIBM_ANSI_PRAGMA_WEAK(isnormall,function)
-LIBM_ANSI_PRAGMA_WEAK(issubnormall,function)
-LIBM_ANSI_PRAGMA_WEAK(iszerol,function)
-LIBM_ANSI_PRAGMA_WEAK(signbitl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(isinfl)
 	movl	16(%rsp),%eax		/ ax <-- sign and bexp of x 
--- old/usr/src/lib/libm/amd64/src/ilogbl.s	2014-11-04 18:59:26.534134087 -0500
+++ new/usr/src/lib/libm/amd64/src/ilogbl.s	2014-11-04 18:59:26.545637794 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ilogbl,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 	.data
--- old/usr/src/lib/libm/amd64/src/log10l.s	2014-11-04 18:59:26.921955708 -0500
+++ new/usr/src/lib/libm/amd64/src/log10l.s	2014-11-04 18:59:26.933238396 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log10l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log10l)
 	fldlg2	
--- old/usr/src/lib/libm/amd64/src/log2l.s	2014-11-04 18:59:27.310623433 -0500
+++ new/usr/src/lib/libm/amd64/src/log2l.s	2014-11-04 18:59:27.321821796 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(log2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(log2l)
 	fld1			/ push 1.0
--- old/usr/src/lib/libm/amd64/src/logl.s	2014-11-04 18:59:27.695779267 -0500
+++ new/usr/src/lib/libm/amd64/src/logl.s	2014-11-04 18:59:27.707189635 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(logl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(logl)
 	fldln2	
--- old/usr/src/lib/libm/amd64/src/powl.s	2014-11-04 18:59:28.131817815 -0500
+++ new/usr/src/lib/libm/amd64/src/powl.s	2014-11-04 18:59:28.143323523 -0500
@@ -55,7 +55,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(powl,function)
-#include "libm_synonyms.h"
 #include "xpg6.h"
 
 #undef fabs
--- old/usr/src/lib/libm/amd64/src/remainder.s	2014-11-04 18:59:28.545048441 -0500
+++ new/usr/src/lib/libm/amd64/src/remainder.s	2014-11-04 18:59:28.556521175 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainder,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(remainder)
--- old/usr/src/lib/libm/amd64/src/remainderf.s	2014-11-04 18:59:29.174556328 -0500
+++ new/usr/src/lib/libm/amd64/src/remainderf.s	2014-11-04 18:59:29.185853639 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainderf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(remainderf)
 	push	%rbp
--- old/usr/src/lib/libm/amd64/src/remainderl.s	2014-11-04 18:59:29.584454814 -0500
+++ new/usr/src/lib/libm/amd64/src/remainderl.s	2014-11-04 18:59:29.595840518 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remainderl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(remainderl)
 	fldt	24(%rsp)		/ load arg y
--- old/usr/src/lib/libm/amd64/src/remquol.s	2014-11-04 18:59:29.970587909 -0500
+++ new/usr/src/lib/libm/amd64/src/remquol.s	2014-11-04 18:59:29.982116873 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(remquol,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 	ENTRY(remquol)
 	fldt	24(%rsp)		/ load arg y
--- old/usr/src/lib/libm/amd64/src/rintl.s	2014-11-04 18:59:30.363698985 -0500
+++ new/usr/src/lib/libm/amd64/src/rintl.s	2014-11-04 18:59:30.375902449 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(rintl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(rintl)
 	fldt	8(%rsp)			/ load x
--- old/usr/src/lib/libm/amd64/src/rndintl.s	2014-11-04 18:59:30.752141027 -0500
+++ new/usr/src/lib/libm/amd64/src/rndintl.s	2014-11-04 18:59:30.763333865 -0500
@@ -29,11 +29,6 @@
         .file "rndintl.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(aintl,function)
-LIBM_ANSI_PRAGMA_WEAK(irintl,function)
-LIBM_ANSI_PRAGMA_WEAK(anintl,function)
-LIBM_ANSI_PRAGMA_WEAK(nintl,function)
-#include "libm_synonyms.h"
 
 #undef fabs
 
--- old/usr/src/lib/libm/amd64/src/scalbnl.s	2014-11-04 18:59:31.149459760 -0500
+++ new/usr/src/lib/libm/amd64/src/scalbnl.s	2014-11-04 18:59:31.160830500 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(scalbnl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(scalbnl)
 	subq	$16,%rsp
--- old/usr/src/lib/libm/amd64/src/sqrtl.s	2014-11-04 18:59:31.540253058 -0500
+++ new/usr/src/lib/libm/amd64/src/sqrtl.s	2014-11-04 18:59:31.551555909 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(sqrtl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(sqrtl)
 	fldt	8(%rsp)
--- old/usr/src/lib/libm/common/C/acos.c	2014-11-04 18:59:31.941462831 -0500
+++ new/usr/src/lib/libm/common/C/acos.c	2014-11-04 18:59:31.952925553 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acos = __acos
+#pragma weak __acos = acos
 
 /* INDENT OFF */
 /*
@@ -56,7 +56,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __acos, __sqrt, __isnan */
 #include "libm_protos.h"	/* _SVID_libm_error */
 #include "libm_macros.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/acosh.c	2014-11-04 18:59:32.421026277 -0500
+++ new/usr/src/lib/libm/common/C/acosh.c	2014-11-04 18:59:32.436937510 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acosh = __acosh
+#pragma weak __acosh = acosh
 
 /* INDENT OFF */
 /*
@@ -46,7 +46,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __acosh, __log, __log1p */
 #include "libm_protos.h"	/* _SVID_libm_error */
 #include "libm_macros.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/asin.c	2014-11-04 18:59:32.819382059 -0500
+++ new/usr/src/lib/libm/common/C/asin.c	2014-11-04 18:59:32.830642025 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asin = __asin
+#pragma weak __asin = asin
 
 /* INDENT OFF */
 /*
@@ -62,7 +62,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __asin, __sqrt, __isnan */
 #include "libm_protos.h"	/* _SVID_libm_error */
 #include "libm_macros.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/asinh.c	2014-11-04 18:59:33.265527922 -0500
+++ new/usr/src/lib/libm/common/C/asinh.c	2014-11-04 18:59:33.277978892 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asinh = __asinh
+#pragma weak __asinh = asinh
 
 /* INDENT OFF */
 /*
@@ -43,7 +43,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __asinh */
 #include "libm_macros.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/atan.c	2014-11-04 18:59:34.009724643 -0500
+++ new/usr/src/lib/libm/common/C/atan.c	2014-11-04 18:59:34.042784775 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan = __atan
+#pragma weak __atan = atan
 
 /* INDENT OFF */
 /*
@@ -82,7 +82,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 extern const double _TBL_atan[];
--- old/usr/src/lib/libm/common/C/atan2.c	2014-11-04 18:59:34.713543221 -0500
+++ new/usr/src/lib/libm/common/C/atan2.c	2014-11-04 18:59:34.725059353 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2 = __atan2
+#pragma weak __atan2 = atan2
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/atan2pi.c	2014-11-04 18:59:35.156361080 -0500
+++ new/usr/src/lib/libm/common/C/atan2pi.c	2014-11-04 18:59:35.167691178 -0500
@@ -26,8 +26,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2pi = __atan2pi
-
 /*
  * atan2pi(x) = atan2(x)/pi
  */
--- old/usr/src/lib/libm/common/C/atanh.c	2014-11-04 18:59:35.581397214 -0500
+++ new/usr/src/lib/libm/common/C/atanh.c	2014-11-04 18:59:35.593151302 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanh = __atanh
+#pragma weak __atanh = atanh
 
 /* INDENT OFF */
 /*
@@ -51,7 +51,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/ceil.c	2014-11-04 18:59:35.973159079 -0500
+++ new/usr/src/lib/libm/common/C/ceil.c	2014-11-04 18:59:35.984339480 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ceil = __ceil
+#pragma weak __ceil = ceil
 
 /*
  * ceil(x) returns the least integral value bigger than or equal to x.
--- old/usr/src/lib/libm/common/C/copysign.c	2014-11-04 18:59:36.410349725 -0500
+++ new/usr/src/lib/libm/common/C/copysign.c	2014-11-04 18:59:36.421866943 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak copysign = __copysign
+#pragma weak __copysign = copysign
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/cos.c	2014-11-04 18:59:36.801608466 -0500
+++ new/usr/src/lib/libm/common/C/cos.c	2014-11-04 18:59:36.813231341 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cos = __cos
+#pragma weak __cos = cos
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/cosh.c	2014-11-04 18:59:37.217316453 -0500
+++ new/usr/src/lib/libm/common/C/cosh.c	2014-11-04 18:59:37.228837362 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cosh = __cosh
+#pragma weak __cosh = cosh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/erf.c	2014-11-04 18:59:37.649463776 -0500
+++ new/usr/src/lib/libm/common/C/erf.c	2014-11-04 18:59:37.660962388 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak erf = __erf
-#pragma weak erfc = __erfc
+#pragma weak __erf = erf
+#pragma weak __erfc = erfc
 
 /* INDENT OFF */
 /*
@@ -127,7 +127,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __erf, __erfc, __exp */
 #include "libm_macros.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/exp.c	2014-11-04 18:59:38.071069836 -0500
+++ new/usr/src/lib/libm/common/C/exp.c	2014-11-04 18:59:38.082557373 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp = __exp
+#pragma weak __exp = exp
 
 /*
  * exp(x)
--- old/usr/src/lib/libm/common/C/exp10.c	2014-11-04 18:59:38.506236551 -0500
+++ new/usr/src/lib/libm/common/C/exp10.c	2014-11-04 18:59:38.517728182 -0500
@@ -26,8 +26,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp10 = __exp10
-
 /* INDENT OFF */
 /*
  * exp10(x)
--- old/usr/src/lib/libm/common/C/exp2.c	2014-11-04 18:59:39.314417441 -0500
+++ new/usr/src/lib/libm/common/C/exp2.c	2014-11-04 18:59:39.346776809 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp2 = __exp2
+#pragma weak __exp2 = exp2
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/expm1.c	2014-11-04 18:59:39.779297834 -0500
+++ new/usr/src/lib/libm/common/C/expm1.c	2014-11-04 18:59:39.790694483 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak expm1 = __expm1
+#pragma weak __expm1 = expm1
 
 /* INDENT OFF */
 /*
@@ -127,7 +127,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"	/* __expm1 */
 #include "libm_macros.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/fabs.c	2014-11-04 18:59:40.204219522 -0500
+++ new/usr/src/lib/libm/common/C/fabs.c	2014-11-04 18:59:40.215674213 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fabs = __fabs
+#pragma weak __fabs = fabs
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_macros.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/floor.c	2014-11-04 18:59:40.629493938 -0500
+++ new/usr/src/lib/libm/common/C/floor.c	2014-11-04 18:59:40.641107510 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak floor = __floor
+#pragma weak __floor = floor
 
 /*
  * floor(x) returns the biggest integral value less than or equal to x.
--- old/usr/src/lib/libm/common/C/fmod.c	2014-11-04 18:59:41.035977523 -0500
+++ new/usr/src/lib/libm/common/C/fmod.c	2014-11-04 18:59:41.047313517 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fmod = __fmod
+#pragma weak __fmod = fmod
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/gamma.c	2014-11-04 18:59:41.477337385 -0500
+++ new/usr/src/lib/libm/common/C/gamma.c	2014-11-04 18:59:41.488554716 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gamma = __gamma
+#pragma weak __gamma = gamma
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/gamma_r.c	2014-11-04 18:59:41.901047085 -0500
+++ new/usr/src/lib/libm/common/C/gamma_r.c	2014-11-04 18:59:41.912464015 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gamma_r = __gamma_r
+#pragma weak __gamma_r = gamma_r
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/hypot.c	2014-11-04 18:59:42.316040459 -0500
+++ new/usr/src/lib/libm/common/C/hypot.c	2014-11-04 18:59:42.327619043 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak hypot = __hypot
+#pragma weak __hypot = hypot
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/ilogb.c	2014-11-04 18:59:42.758114412 -0500
+++ new/usr/src/lib/libm/common/C/ilogb.c	2014-11-04 18:59:42.769567979 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ilogb = __ilogb
+#pragma weak __ilogb = ilogb
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/C/j0.c	2014-11-04 18:59:43.180108111 -0500
+++ new/usr/src/lib/libm/common/C/j0.c	2014-11-04 18:59:43.191283853 -0500
@@ -36,11 +36,10 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j0 = __j0
-#pragma weak y0 = __y0
+#pragma weak __j0 = j0
+#pragma weak __y0 = y0
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 #include <values.h>
--- old/usr/src/lib/libm/common/C/j1.c	2014-11-04 18:59:43.667144072 -0500
+++ new/usr/src/lib/libm/common/C/j1.c	2014-11-04 18:59:43.682582796 -0500
@@ -36,11 +36,10 @@
  *	y0(-ve)=y1(-ve)=yn(n,-ve) are NaN with invalid signal.
  */
 
-#pragma weak j1 = __j1
-#pragma weak y1 = __y1
+#pragma weak __j1 = j1
+#pragma weak __y1 = y1
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 #include <values.h>
--- old/usr/src/lib/libm/common/C/jn.c	2014-11-04 18:59:45.214612605 -0500
+++ new/usr/src/lib/libm/common/C/jn.c	2014-11-04 18:59:45.225957584 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak jn = __jn
-#pragma weak yn = __yn
+#pragma weak __jn = jn
+#pragma weak __yn = yn
 
 /*
  * floating point Bessel's function of the 1st and 2nd kind
--- old/usr/src/lib/libm/common/C/lgamma.c	2014-11-04 18:59:45.677749580 -0500
+++ new/usr/src/lib/libm/common/C/lgamma.c	2014-11-04 18:59:45.688949431 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgamma = __lgamma
+#pragma weak __lgamma = lgamma
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/lgamma_r.c	2014-11-04 18:59:46.069404966 -0500
+++ new/usr/src/lib/libm/common/C/lgamma_r.c	2014-11-04 18:59:46.081005334 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgamma_r = __lgamma_r
+#pragma weak __lgamma_r = lgamma_r
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/libm.h	2014-11-04 18:59:46.474492042 -0500
+++ new/usr/src/lib/libm/common/C/libm.h	2014-11-04 18:59:46.485728912 -0500
@@ -52,9 +52,9 @@
 #if defined(__sparc)
 
 #define	LIBM_ANSI_PRAGMA_WEAK(sym,stype) \
-	.weak sym; \
-	.type sym,#stype; \
-sym	= __/**/sym
+	.weak __/**/sym;		 \
+	.type __/**/sym,#stype;		 \
+__/**/sym	= sym
 
 #ifndef SET_FILE
 #define	SET_FILE(x) \
@@ -151,9 +151,9 @@
 #elif defined(__x86)
 
 #define	LIBM_ANSI_PRAGMA_WEAK(sym,stype) \
-	.weak sym; \
-	.type sym,@stype; \
-sym	= __/**/sym
+	.weak __/**/sym;		 \
+	.type __/**/sym,@stype;		 \
+__/**/sym	= sym
 
 #ifdef PIC
 #if defined(__amd64)
@@ -196,7 +196,6 @@
 #else	/* defined(_ASM) */
 
 #include "libm_macros.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include "libm_inlines.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/log.c	2014-11-04 18:59:47.359513582 -0500
+++ new/usr/src/lib/libm/common/C/log.c	2014-11-04 18:59:47.371100657 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log = __log
+#pragma weak __log = log
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/log10.c	2014-11-04 18:59:47.788641103 -0500
+++ new/usr/src/lib/libm/common/C/log10.c	2014-11-04 18:59:47.801280661 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log10 = __log10
+#pragma weak __log10 = log10
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/log1p.c	2014-11-04 18:59:48.215659386 -0500
+++ new/usr/src/lib/libm/common/C/log1p.c	2014-11-04 18:59:48.227202490 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log1p = __log1p
+#pragma weak __log1p = log1p
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/log2.c	2014-11-04 18:59:48.975237247 -0500
+++ new/usr/src/lib/libm/common/C/log2.c	2014-11-04 18:59:48.996702666 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log2 = __log2
+#pragma weak __log2 = log2
 
 /* INDENT OFF */
 /*
@@ -88,7 +88,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 extern const double _TBL_log[];
--- old/usr/src/lib/libm/common/C/logb.c	2014-11-04 18:59:49.481585903 -0500
+++ new/usr/src/lib/libm/common/C/logb.c	2014-11-04 18:59:49.493550339 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak logb = __logb
-#pragma weak _logb = __logb
+#pragma weak __logb = logb
+#pragma weak _logb = logb
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/C/nextafter.c	2014-11-04 18:59:49.876056072 -0500
+++ new/usr/src/lib/libm/common/C/nextafter.c	2014-11-04 18:59:49.887529188 -0500
@@ -26,8 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak nextafter = __nextafter
-#pragma weak _nextafter = __nextafter
+#pragma weak __nextafter = nextafter
+#pragma weak _nextafter = nextafter
 
 #include "libm.h"
 #include <float.h>		/* DBL_MIN */
--- old/usr/src/lib/libm/common/C/pow.c	2014-11-04 18:59:50.272615574 -0500
+++ new/usr/src/lib/libm/common/C/pow.c	2014-11-04 18:59:50.284019828 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak pow = __pow
+#pragma weak __pow = pow
 
 /*
  * pow(x,y) return x**y
--- old/usr/src/lib/libm/common/C/remainder.c	2014-11-04 18:59:50.710648899 -0500
+++ new/usr/src/lib/libm/common/C/remainder.c	2014-11-04 18:59:50.723717202 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remainder = __remainder
+#pragma weak __remainder = remainder
 
 /*
  * remainder(x,p)
--- old/usr/src/lib/libm/common/C/rint.c	2014-11-04 18:59:51.110381260 -0500
+++ new/usr/src/lib/libm/common/C/rint.c	2014-11-04 18:59:51.121762612 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak rint = __rint
+#pragma weak __rint = rint
 
 /*
  * rint(x) return x rounded to integral according to the rounding direction
--- old/usr/src/lib/libm/common/C/scalb.c	2014-11-04 18:59:51.504651799 -0500
+++ new/usr/src/lib/libm/common/C/scalb.c	2014-11-04 18:59:51.516102310 -0500
@@ -26,8 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalb = __scalb
-#pragma weak _scalb = __scalb
+#pragma weak __scalb = scalb
+#pragma weak _scalb = scalb
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/scalbn.c	2014-11-04 18:59:51.900592187 -0500
+++ new/usr/src/lib/libm/common/C/scalbn.c	2014-11-04 18:59:51.912034292 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbn = __scalbn
+#pragma weak __scalbn = scalbn
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/signgam.c	2014-11-04 18:59:52.305288644 -0500
+++ new/usr/src/lib/libm/common/C/signgam.c	2014-11-04 18:59:52.316760525 -0500
@@ -27,9 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak signgam = __signgam
+#pragma weak __signgam = signgam
 
-#include "libm_synonyms.h"
 #include <math.h>
 
 int signgam = 0;
--- old/usr/src/lib/libm/common/C/significand.c	2014-11-04 18:59:52.698011222 -0500
+++ new/usr/src/lib/libm/common/C/significand.c	2014-11-04 18:59:52.709671347 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak significand = __significand
+#pragma weak __significand = significand
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/sin.c	2014-11-04 18:59:53.093849477 -0500
+++ new/usr/src/lib/libm/common/C/sin.c	2014-11-04 18:59:53.105240966 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sin = __sin
+#pragma weak __sin = sin
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/sincos.c	2014-11-04 18:59:53.518235764 -0500
+++ new/usr/src/lib/libm/common/C/sincos.c	2014-11-04 18:59:53.529530935 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincos = __sincos
+#pragma weak __sincos = sincos
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/sincospi.c	2014-11-04 18:59:54.189716416 -0500
+++ new/usr/src/lib/libm/common/C/sincospi.c	2014-11-04 18:59:54.201520248 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincospi = __sincospi
-
 /* INDENT OFF */
 /*
  * void sincospi(double x, double *s, double *c)
@@ -72,7 +70,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include "libm_macros.h"
 #include <math.h>
--- old/usr/src/lib/libm/common/C/sinh.c	2014-11-04 18:59:54.630234485 -0500
+++ new/usr/src/lib/libm/common/C/sinh.c	2014-11-04 18:59:54.641815604 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinh = __sinh
+#pragma weak __sinh = sinh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/C/sqrt.c	2014-11-04 18:59:55.046418474 -0500
+++ new/usr/src/lib/libm/common/C/sqrt.c	2014-11-04 18:59:55.057910512 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sqrt = __sqrt
+#pragma weak __sqrt = sqrt
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/C/tan.c	2014-11-04 18:59:55.459012800 -0500
+++ new/usr/src/lib/libm/common/C/tan.c	2014-11-04 18:59:55.470634359 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tan = __tan
+#pragma weak __tan = tan
 
 /* INDENT OFF */
 /*
@@ -41,7 +41,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/C/tanh.c	2014-11-04 18:59:55.878561810 -0500
+++ new/usr/src/lib/libm/common/C/tanh.c	2014-11-04 18:59:55.890056064 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanh = __tanh
+#pragma weak __tanh = tanh
 
 /* INDENT OFF */
 /*
@@ -56,7 +56,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 
--- old/usr/src/lib/libm/common/LD/__lgammal.c	2014-11-04 18:59:56.319099394 -0500
+++ new/usr/src/lib/libm/common/LD/__lgammal.c	2014-11-04 18:59:56.334074371 -0500
@@ -49,7 +49,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 static long double neg(long double, int *);
--- old/usr/src/lib/libm/common/LD/__poly_libmq.c	2014-11-04 18:59:56.785459556 -0500
+++ new/usr/src/lib/libm/common/LD/__poly_libmq.c	2014-11-04 18:59:56.797925076 -0500
@@ -28,7 +28,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 
 long double __poly_libmq(x,n,p)
 long double x,p[];
--- old/usr/src/lib/libm/common/LD/acoshl.c	2014-11-04 18:59:57.209617565 -0500
+++ new/usr/src/lib/libm/common/LD/acoshl.c	2014-11-04 18:59:57.221296268 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak acoshl = __acoshl
+#pragma weak __acoshl = acoshl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/asinhl.c	2014-11-04 18:59:57.631354775 -0500
+++ new/usr/src/lib/libm/common/LD/asinhl.c	2014-11-04 18:59:57.642952640 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asinhl = __asinhl
+#pragma weak __asinhl = asinhl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/LD/atan2pil.c	2014-11-04 18:59:58.042953771 -0500
+++ new/usr/src/lib/libm/common/LD/atan2pil.c	2014-11-04 18:59:58.054229427 -0500
@@ -27,10 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2pil = __atan2pil
-
 #include "libm.h"
-#include "libm_synonyms.h"
 
 #define GENERIC	long double
 #define ATAN2PI	atan2pil
--- old/usr/src/lib/libm/common/LD/atanhl.c	2014-11-04 18:59:58.491722848 -0500
+++ new/usr/src/lib/libm/common/LD/atanhl.c	2014-11-04 18:59:58.502968982 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanhl = __atanhl
+#pragma weak __atanhl = atanhl
 
 #include "libm.h"
-#include "libm_synonyms.h"
 
 #define GENERIC	long double
 #define	ATANH 	atanhl
@@ -40,7 +39,7 @@
  *	ATANH(x) = --- * LOG(1 + -------) = 0.5 * LOG1P(2 * --------)
  *                  2             1 - x                      1 - x
  * Note: to guarantee ATANH(-x) = -ATANH(x), we use
- *                 sign(x)             |x|  
+ *                 sign(x)             |x|
  *	ATANH(x) = ------- * LOG1P(2*-------).
  *                    2              1 - |x|
  *
@@ -65,7 +64,7 @@
 
 GENERIC ATANH(x)
 GENERIC x;
-{	
+{
 	GENERIC t;
 	t = FABS(x);
 	if (t == one) return x/zero;
--- old/usr/src/lib/libm/common/LD/cbrtl.c	2014-11-04 18:59:59.146991237 -0500
+++ new/usr/src/lib/libm/common/LD/cbrtl.c	2014-11-04 18:59:59.236906661 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cbrtl = __cbrtl
+#pragma weak __cbrtl = cbrtl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/coshl.c	2014-11-04 18:59:59.647270041 -0500
+++ new/usr/src/lib/libm/common/LD/coshl.c	2014-11-04 18:59:59.658821455 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak coshl = __coshl
+#pragma weak __coshl = coshl
 
 #include "libm.h"
 #include "longdouble.h"
--- old/usr/src/lib/libm/common/LD/cosl.c	2014-11-04 19:00:00.044923701 -0500
+++ new/usr/src/lib/libm/common/LD/cosl.c	2014-11-04 19:00:00.056308104 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cosl = __cosl
+#pragma weak __cosl = cosl
 
 /* INDENT OFF */
 /* cosl(x)
@@ -63,7 +63,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "longdouble.h"
 
 #include <sys/isa_defs.h>
